Bug 1272706 - With gnome-keyring-3.18.1-2.fc23, gnome-initial-setup does not hand over to a logged-in desktop but to GDM
With gnome-keyring-3.18.1-2.fc23, gnome-initial-setup does not hand over to a...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-17 18:09 EDT by Adam Williamson
Modified: 2016-12-20 10:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:02:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journal output from boot up to when gdm starts up (283.72 KB, text/plain)
2015-10-17 18:55 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2015-10-17 18:09:48 EDT
It's intended that when you create a user via gnome-initial-setup, after completing the process, you should arrive at the Shell, logged in as that user. This indeed happens with F23 Final TC10 and TC11, using gnome-keyring-3.18.0-4.fc23. However, I built a Workstation live image with gnome-keyring-3.18.1-2.fc23 (to check if the fix for logging in to Xfce / MATE caused any regressions with Workstation), and it's broken with that image: after creating a user via g-i-s I'm dropped to GDM and have to log in as the user I just created.
Comment 1 Adam Williamson 2015-10-17 18:55 EDT
Created attachment 1084008 [details]
journal output from boot up to when gdm starts up

This is the journal from boot time right up until GDM starts, after g-i-s has run and seems to try to transfer to Shell as 'test' but fails.
Comment 2 Adam Williamson 2015-10-21 17:29:17 EDT
I think this may be causing https://bugzilla.redhat.com/show_bug.cgi?id=1273112 too.
Comment 3 Fedora End Of Life 2016-11-24 07:49:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 10:02:53 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.